Bug 1964992 - swift-lang: FTBFS in Fedora rawhide
Summary: swift-lang: FTBFS in Fedora rawhide
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: swift-lang
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ron Olson
QA Contact: Fedora Extras Quality Assurance
URL: https://koschei.fedoraproject.org/pac...
Whiteboard:
Depends On:
Blocks: F35FTBFS PYTHON3.10
TreeView+ depends on / blocked
 
Reported: 2021-05-26 13:39 UTC by Tomáš Hrnčiar
Modified: 2021-06-14 10:34 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-06-14 10:34:31 UTC
Type: Bug


Attachments (Terms of Use)

Description Tomáš Hrnčiar 2021-05-26 13:39:04 UTC
Description of problem:
Package swift-lang fails to build from source in Fedora rawhide.

Version-Release number of selected component (if applicable):
5.4-1.fc35

Steps to Reproduce:
koji build --scratch f35 swift-lang-5.4-1.fc35.src.rpm

Additional info:
This package is tracked by Koschei. See:
https://koschei.fedoraproject.org/package/swift-lang

Comment 1 Ron Olson 2021-05-26 13:43:37 UTC
If the koji error is that it can't find "linux/cyclades.h" I'm aware of it and working with upstream to resolve it.

Comment 2 Tomáš Hrnčiar 2021-05-26 14:41:55 UTC
Yup, that's it. Thank you.

https://kojipkgs.fedoraproject.org/work/tasks/2504/68782504/build.log

Comment 3 Miro Hrončok 2021-06-04 20:13:09 UTC
This is a mass-posted update. Sorry if it is not 100% accurate to this bugzilla.


The Python 3.10 rebuild is in progress in a Koji side tag. If you manage to fix the problem, please commit the fix in the rawhide branch, but don't build the package in regular rawhide.

You can either build the package in the side tag, with:

    $ fedpkg build --target=f35-python

Or you can the build and we will eventually build it for you.

Note that the rebuild is still in progress, so not all (build) dependencies of this package might be available right away.

Thanks.

See also https://fedoraproject.org/wiki/Changes/Python3.10

If you have general questions about the rebuild, please use this mailing list thread: https://lists.fedoraproject.org/archives/list/devel@lists.fedoraproject.org/thread/G47SGOYIQLRDTWGOSLSWERZSSHXDEDH5/

Comment 4 Miro Hrončok 2021-06-07 22:58:02 UTC
The f35-python side tag has been merged to Rawhide. From now on, build as you would normally build.

Comment 5 Miro Hrončok 2021-06-14 10:34:31 UTC
This package was successfully rebuilt with Python 3.10.

If you need this bugzilla open for tracking purposes, sorry for the automatic closing: feel free to reopen it.


Note You need to log in before you can comment on or make changes to this bug.